<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag language depend deliverys loader to write into base at install
	 */

	class DELIVERYSINSTALLER	{

		var $DELIVERYS		=	array();
		
		var $DEFAULTDELIVERY	=	FALSE;

		function __construct($file)	{
		
			global $new;
			
			$this->SQL = &$new;

			$lines	=	@file($file);

			if ($lines===FALSE) trigger_error("language file $file not found", E_USER_ERROR);

			$this->store($lines);
		}

		# store deliverys into memory

		private function store($lines)	{

			$DELIVERYS	=	array();

			foreach ($lines as $line)	{

				if (! strlen(mb_eregi_replace('\s', '', $line))) continue;

				list($key, $val)	=	mb_split('=>', $line);

				$key	=	$this->SQL->escape(mb_eregi_replace('^\s*|\s*$', '', $key));
				
				$val 	=	mb_eregi_replace('^\s*|\s*$', '', $val);

				# store it for write to mysql

				$this->DELIVERYS[] = $key;

				# store default

				if ($val) $this->DEFAULTDELIVERY = $key;
			}
		}

		# returns deliverys as associative array

		public function gettypes()	{

			return $this->DELIVERYS;
		}

		# returns default delivery

		public function getdefault()	{

			return $this->DEFAULTDELIVERY;
		}
	}
?>
