<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag upload, download, directory list (personal and all)
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	# note: no permission check, every user can see own and company folder

	$UPLOADDIR = $_SESSION['uploaddir'] = BASEDIR.'uploads';

	load_c('SQL');

	$__SQL	= new SQL();

	if ((isset($_GET['action'])) && ($_GET['action'] == 'delete'))	  {

		load_m('uploaddelete');

		new UPLOADDELETE($_GET['type'], $_GET['file'], $UPLOADDIR);
	}

	# upload

	$UPLOADED	=	'';

	if ((isset($_POST['submit'])) && (! is_empty($_FILES['upload']['tmp_name'])))	{

		load_c('UPLOAD');

		$__UPLOAD = new UPLOAD($_GET['type'], $UPLOADDIR);

		$RESULT	  =	$__UPLOAD->store();

		unset($__UPLOAD);

		if ($RESULT!==TRUE)	{

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward().'&amp;type='.$_GET['type']);
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$UPLOADED = '<tr><td align="left">'.$__LANG->get('fileuploaded').' '.$_FILES['upload']['name'].'</td></tr>';
	}

	# read uploaded

	load_c('UPLOADED');

	$__UPLOAD = new UPLOADED($_GET['type']);

	$__UPLOAD->read();

	$TABLE = &$__UPLOAD->TABLE;

	# display in view

	$view	=	new View('dirlist');
	
	$view	->	assign('SELF', backward().'&amp;type='.$_GET['type']);
	$view	->	assign('UPLOADED', $UPLOADED); unset($UPLOADED);
	$view	->	assign('UPLOAD', $__LANG->get('upload'));
	$view	->	assign('SELECT', $__LANG->get('select'));
	$view	->	assign('QUESTION', $__LANG->get('suretodelfile'));

	$view	->	assign('TABLE', $TABLE); unset($__UPLOAD, $TABLE, $__SQL);

	$view	->	display();

?>
