<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag Home
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	load_c('SQL');

	$__SQL	= new SQL();

	/**
	 * Check the reminder
	 */

	load_m('reminderreadall');

	$__REMINDER	=	new REMINDER();

	$REMTABLE	=	$__REMINDER->read_all(date("Y-m-d", strtotime($__CONF->get('reminder', 'dayscheck').' days')));

	unset($__REMINDER, $__SQL);

	$view	=	new View('home');
	$view	->	assign('SELF', backward());
	$view	->	assign('REMTABLE', $REMTABLE);	unset ($REMTABLE);
	$view	->	assign('CHAT', $__LANG->get('chatlabel'));
	$view	->	assign('REMNAME', $__LANG->get('remindname'));
	$view	->	assign('USER', $_SESSION['user']);
	$view	->	assign('NOREMIND', $__LANG->get('noremind'));
	$view	->	assign('SERVER_DATE', date("Y-m-d"));
	$view	->	assign('DATE_WARNING', $__LANG->get('datewarning'));
	
	$no_backup_created = $js = '';

	if (is_file(BASEDIR.'tmp/maintenance.conf')) $no_backup_created = $__LANG->get('maintenancemarkerror');
	
	$view->assign('NO_BACKUP_CREATED', $no_backup_created);
	
	if (isset($_GET['navr'])) $js =	'<script type="text/javascript">parent.frames["nav"].location.reload();</script>';
	
	$view->assign('JS', $js);

	$view	->	display();

?>
