<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag mobile main menu
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	load_f('reset_session_vars');

	$view	=	new View('mobilehome');

	$view	->	assign('LABEL', $__LANG->get('menu'));
	
	foreach (array('remindname', 'contactsearch', 'servicesearch', 'feedstocksearch', 'articalsearch', 'logout') as $category) $view->assign(strtoupper($category), $__LANG->get($category)); 

	$view	->	display();

?>
