<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag new production order selector
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('production');

	pagepermission('production', 'w');

	if ((isset($_POST['submit'])) && (isset($_POST['orderslist'])))		{

		# redirect to create new 

		header("location: loader.php?cat=newproductionorder&item=".$_POST['orderslist']);

		exit;
	}

	$view	=	new View('newproductionorder');

	$view	->	assign('SELF', backward());
	$view	->	assign('NEW_PRODUCTION_ORDER', $__LANG->get('newproductionorder'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('CONNECTED_WITH_ORDER', $__LANG->get('ordernumber'));
	$view	->	assign('BASE', $_SESSION['BASE']);
	$view	->	assign('NOTEXISTS', $__LANG->get('articalnotexist'));
	$view	->	assign('NOTORDERED', $__LANG->get('notordered2production'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=production');

	$view	->	display();

?>

