<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag order to stock called from sell with orderID
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if (isset($_POST['cancel']))	{
	
		if ($_POST['change'])	{$CATEGORY = 'orderupdated';}	else {$CATEGORY = 'orderwrited';}

		header('location: loader.php?cat='.$CATEGORY.'&id='.$_POST['orderID'].'&rep='.$_POST['rep']);

		exit;
	}

	load_c('SQL');

	$__SQL	=  new SQL();

	$ERRSCRIPT	=	'';

	if (isset($_POST['submit']))	{

		if ($_POST['change'])	{$CATEGORY = 'orderupdated';}	else {$CATEGORY = 'orderwrited';}

		load_m('stockorder2sellwrite');

		$__STOCKORDER	=	new STOCKORDER2SELLWRITE();

		$RESULT		=	$__STOCKORDER->write($_POST);

		if ($RESULT===TRUE)	header('location: loader.php?cat='.$CATEGORY.'&id='.$_POST['orderID'].'&rep='.$_POST['rep']);

		# note: if error happends go on and read it again & alert the error

		# analize error type

		if (strpos($RESULT, '->') !== FALSE)	{

			list ($errtype, $point, $pointID)	= explode('->', $RESULT);

			$ERROR	=	$__LANG->get($errtype, $__LANG->get($point).': '.$pointID);

		}	else	 {

			$ERROR	= $__LANG->get($RESULT);
		}

		$ERRSCRIPT	=	"<script type=\"text/javascript\">alert('$ERROR')</script>";
	}

	if (isset($_GET['id']))	{$orderID = $_GET['id'];} else {$orderID = $_POST['orderID'];}

	$COPYREPORT = $CHANGE =	'';

	if (isset($_GET['rep']))	$COPYREPORT	=	$_GET['rep'];

	if (isset($_POST['rep']))	$COPYREPORT	=	$_POST['rep'];

	if (isset($_GET['change']))	$CHANGE		=	'TRUE';

	load_c('STOCKORDER2SELL');

	$TABLE		=	new STOCKORDER2SELL;

	$RESULT		=	$TABLE -> createbyorder($_GET['id']);

	if (! $RESULT)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=orders');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('nothing2add2order2stock'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$HTMLTABLE	=	&$TABLE->TABLE;

	$view	=	new View('tableorder2stock');
	$view	->	assign('HTMLTABLE', $HTMLTABLE);
	$view	->	assign('ORDERID', $_GET['id']);
	$view	->	assign('CHANGE', $CHANGE);
	$view	->	assign('COPYREPORT', $COPYREPORT);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('ORDER', $__LANG->get('order'));
	$view	->	assign('SCRIPT', $ERRSCRIPT);
	
	unset($TABLE, $HTMLTABLE, $__SQL);

	$view	->	display();
?>
