<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag delete salary
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	check_year_for_write('salarys');

	pagepermission('salarys', 'w');

	load_c('SQL');

	$__SQL	= new SQL();

	# verifyed delete it

	if (isset($_POST['YES']))	{

		load_m('salarydelete');

		new SALARYDELETE($_POST['id']);
		
		unset($__SQL);

		# deleted

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('salarydeleted', $_POST['id']));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', $_SESSION['FROM']);
		$view	->	display();
		exit;
	}

	# verify

	load_m('salarydeleteread');

	$__SALARY	=	new SALARYDELETEREAD();

	$DATA		=	$__SALARY->read($_GET['id']);

	unset($__SALARY, $__SQL);

	if (! $DATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentsalary'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('verify');
	$view	->	assign('SELF', backward());
	$view	->	assign('QUESTION', $__LANG->get('suretodelsalary', $_GET['id'].' ('.$__LANG->get('employee').': '.$DATA['employeename'].', '.$__LANG->get('month').': '.$__LANG->get('monthname'.$DATA['month'])."{$DATA['month_part']})"));
	$view	->	assign('YES', $__LANG->get('yes'));
	$view	->	assign('NO', $__LANG->get('no'));
	$view	->	assign('ID', $_GET['id']);
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	display();

?>
