<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag summary payments statistic for customer
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	pagepermission('payments', 'r');

	if (isset($_GET['new'])) 	{

		$_SESSION['LISTPAGE'] = 0;

		unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);
	}

	if (! isset ($_SESSION['customerID']))	{

		header("location: loader.php?cat=summary_define_customer&new=1");

		exit;
	}

	load_c('SQL');

	$__SQL	= new SQL();

	$_SESSION['FROM'] = backward();

	load_c('PAYMENTSTATISTICS');

	$__PAYMENTS	=	new PAYMENTSTATISTICS(PAGEINCREMENT, $_SESSION['list_limit']);

	$__PAYMENTS	->	customerID($_SESSION['customerID']);

	if (! $__PAYMENTS -> create())	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=summary_define_customer&amp;new=1');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentcontact'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$SUMMARY	=	&$__PAYMENTS->SUMMARY;

	$HTMLTABLE	=	&$__PAYMENTS->TABLE;

	$view	=	new View('paymentstatisticlist');
	$view 	->	assign('SUMMARY_FOR_CUSTOMER', $__LANG->get('summary2customer'));
	$view 	->	assign('CLAIMS_SUM', $__LANG->get('allclaimssum'));
	$view 	->	assign('PAYMENTS_SUM', $__LANG->get('allpaymentssum'));
	$view 	->	assign('CURRENCY', $__CONF->get('payments', 'currency'));
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE);
	$view 	->	assign('SUMMARY', $SUMMARY); unset($SUMMARY, $__PAYMENTS, $__SQL);
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
