<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag user select for user permissions update
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('users', 'w');

	if (isset($_POST['id']))	{

		$_SESSION['FROM'] = backward();

		header('location: loader.php?cat=userpermissions&id='.$_POST['id']);

		exit;
	}

	load_c('SQL');

	$__SQL	=	new SQL();
	
	load_m('userread');

	$__USERS	=	new USERREAD();

	$USERSLIST	=	$__USERS->readall();
	
	unset($__USERS, $__SQL);

	$view	=	new View('userselect');

	$view	->	assign('SELECTUSER', $__LANG->get('selectuser'));
	$view	->	assign('NAME', $__LANG->get('employeename'));

	$view	->	assign('USERS', $USERSLIST); unset($USERSLIST);

	$view	->	assign('OK', $__LANG->get('ok'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=users');
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
