<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 2.0.1
	 */

	/**
	 * eBag convers date from sql to defined format
	 */

	function date2show($SQLDATE=FALSE, $FORMAT=FALSE)	{

		if ((! $SQLDATE) or (! $FORMAT)) return FALSE;

		list ($YY, $MM, $DD)	=	explode('-', $SQLDATE);

		if (! $timestamp = @mktime(0, 0, 0, $MM, $DD, $YY)) return FALSE;

		if (! $date = @date($FORMAT, $timestamp)) return FALSE;

		return $date;
	}
