<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag pagination
	 */

	function pagination($PAGE, $ALL, $INC, $SELF)		{

		$BACKWARD = $FORWARD = 0;

		if ((! $PAGE) && ($ALL))	{

			$FORWARD	=	$PAGE+1;
		}

		if (($PAGE==$ALL) && ($PAGE))	{

			$BACKWARD 	=	$PAGE-1; 
			$FORWARD	=	$PAGE;
		}

		if (($PAGE) && ($PAGE!=$ALL))	{

			$BACKWARD	=	$PAGE-1; 
			$FORWARD	=	$PAGE+1;
		}

		$TABLE		=	<<<"EOT"
					<br>
					<table class="pagination">
						<tr>
							<td>
								<a href="$SELF&amp;page=0">
									<img src="../images/tstart.png" width="9" height="9" border="0" alt="start">
								</a>
								<a href="$SELF&amp;page=$BACKWARD">
									<img src="../images/tbackward.png" width="9" height="9" border="0" alt="backward">
								</a>
							</td>
							<td>
								<select name="page_number" onchange="_page()">
EOT;

					for ($page=0; $page<=$ALL; $page++)	{

						if ($page==$PAGE) {$selected='selected';} else {$selected='';}

						$TABLE .= "<OPTION $selected>".$page*$INC.'-'.($page+1)*$INC."</OPTION>\n";
					}

		$TABLE		.=	<<<"EOT"
					</select>
							</td>
							<td>
								<a href="$SELF&amp;page=$FORWARD">
									<img src="../images/tforward.png" width="9" height="9" border="0" alt="forward">
								</a>
								<a href="$SELF&amp;page=$ALL">
									<img src="../images/tend.png" width="9" height="9" border="0" alt="end">
								</a>
							</td>
						</tr>
					</table>
EOT;

		return $TABLE;
		}

?>
