	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Request for contactname
	 */

	function contactnamesearch(BASE)	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				if (xmlHttp.responseText)	{
				  
					var xmldoc	=	 xmlHttp.responseXML;
					
					var s_name	=	xmldoc.getElementsByTagName('name');
					var s_service	=	xmldoc.getElementsByTagName('servicediscount');
					var s_article	=	xmldoc.getElementsByTagName('articlediscount');

					NAMEFIELD.value 	= 	s_name[0].childNodes[0].nodeValue;

					if (SERVICEFIELD != null) SERVICEFIELD.value = s_service[0].childNodes[0].nodeValue;
					if (ARTICLEFIELD != null) ARTICLEFIELD.value = s_article[0].childNodes[0].nodeValue;
					
					if (DATEFIELD != null)	{
					  
						DATEFIELD.focus();
					  
					}	else	  {
					  
						DISCOUNTFIELD.focus();
					}

				}	else	   {

					NAMEFIELD.value 	= 	'';
					IDFIELD.value		=	'';
					if (SERVICEFIELD != null) SERVICEFIELD.value 	= '';
					if (ARTICLEFIELD != null) ARTICLEFIELD.value 	= '';

					IDFIELD.focus();
				}
	    		}
	  	}
	
		var IDFIELD		=	document.getElementById('contactID');
		var NAMEFIELD		=	document.getElementById('contactname');
		var SERVICEFIELD	=	document.getElementById('service_discount');
		var ARTICLEFIELD	=	document.getElementById('article_discount');
		var DATEFIELD		=	document.getElementById('date_of_creation');
		var DISCOUNTFIELD	=	document.getElementById('use_session_discount');

		if (! IDFIELD.value)	{

			NAMEFIELD.value = '';
			return;
		}


		var LINK = '../requests/contactID2name.php?id=' + encodeURIComponent(IDFIELD.value) + '&base=' + BASE + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', LINK, true);

		xmlHttp.send();
	}

