	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Locates contact address in google maps in new window
	 */

	function gmap(id)	{
	  
		var first = new Array('street', 'city', 'zip', 'country');
	  
		var second = new Array('delivery_street', 'delivery_city', 'delivery_zip', 'delivery_country');
		
		var boxes, query, plus, i, val;
	      
		if (id == '1')  {boxes = first;} else {boxes = second;}
		
		query = '';
		
		plus = '';

		for (i = 0; i < boxes.length; i++) {
		  
			 if (query) plus = '+';
			   
			 val = document.forms[0][boxes[i]].value;
		  
			 if (val) { query += plus + val; }
		}
		
		if (query)	{
		  
			 window.open('https://maps.google.com/?q=' + encodeURI(query.replace(/\s+/g, '+')));
		}
	}

