	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * eBag list order numbers connected to code for create new production orders
	 */

	function newstate(txt)	{

		if (txt.indexOf('!') != -1)	{

			var elements	=	txt.split('!');

		}	else	 {

			var elements	=	new Array();
		
			elements[0]	=	txt;
		}

		var field	= 	document.forms[0].orderslist;

		field.disabled	=	false;

		var count	=	field.options.length;
		
		var i;

		for(i=count-1; i>=0; i--) field.options.remove(i);

		count	=	elements.length;

		var parts	=	new Array();

		for(i=0; i<count; i++)	{

			// note: txt is now array orderID-personID-rownumber

			parts[i]	=	elements[i].split('-');

			var optn	=	document.createElement("OPTION");
			optn.text 	=	parts[i][0] + '->' + parts[i][2];
			optn.value	=	parts[i][0] + '-' + parts[i][1];

			if (i==0)	optn.selected = true;

			field.options.add(optn);
		}

		field.focus();
	}

	function defaultstate()	{

		var field	= 	document.forms[0].orderslist;
	
		var count	=	field.options.length;
		
		var i;

		for(i=count-1; i>=0; i--) field.options.remove(i);

		var optn	=	document.createElement("OPTION");
		optn.text 	=	'<------>';
		optn.value	=	'';
		optn.selected	=	true;

		field.options.add(optn);

		field.disabled	=	true;
	}

	function listorders(BASE)	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				var xmldoc	=	 xmlHttp.responseText;

				if (xmldoc)	{

					switch	(xmldoc)	{

						case "notexists"	:
						case "notordered"	:	defaultstate();	

										alert(document.forms[0][xmldoc].value);

										document.forms[0].code.value	=	'';
										document.forms[0].code.focus();

										break;

						default			:	newstate(xmldoc);
										document.forms[0].orderslist.focus();
	
					}

				}	else	   {

					defaultstate();

					document.forms[0].code.focus();
				}
	    		}
	  	}
	
		var CODE	=	document.forms[0].code.value;
		
		if (! CODE)	{

			defaultstate();

			return;
		}

		var LINK = '../requests/order2production.php?base='+ BASE + '&code=' + encodeURIComponent(CODE) + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', LINK, true);

		xmlHttp.send();
	}

