	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * eBag controlls salary comments form
	 */
	
	function data_clear()	{
	  
		document.getElementById("comment").value = '';
		document.getElementById("annotation").value = '';
	}
	
	function data_read()	{
	  
		var fields = ["person_id", "employee_id", "month", "semimonth"];
		
		var inputs = ["person_id", "employee_id", "month", "semimonth", "comment", "annotation"];
		
		var i, xmltag, msg_cell, xmlvar;
		
		var xmlHttp = createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				if (xmlHttp.responseText)	{
	
					if (xmlHttp.responseText == '1')	{
					  
						 document.forms[0].reset();
						 
						 document.getElementById('person_id').focus();

						 msg_cell =  document.getElementById('message');
					  
						 msg_cell.innerHTML = document.getElementById('not_found_msg').value;
					
						 setTimeout(function(){msg_cell.innerHTML = "&nbsp;";}, 600);
						 
						 return;
					}
					
					if ((xmlHttp.responseXML == null) || (typeof xmlHttp.responseXML == 'undefined')) return;

					var xmldoc = xmlHttp.responseXML;
					
					for (i=0; i<6; i++) {
					  
						 xmltag = xmldoc.getElementsByTagName(inputs[i]);
						 
						 xmlvar = '';
						 
						 if ((xmltag[0].childNodes[0] != null) && (typeof xmltag[0].childNodes[0] != 'undefined')) {
						   
							 xmlvar = xmltag[0].childNodes[0].nodeValue;
						 }
						 
						 document.getElementById(inputs[i]).value = xmlvar;
					}
				}
	    		}
	  	}
		
		var queryStr = '';
		
		for (i=0; i<4; i++) {

			FieldValue = document.getElementById(fields[i]).value;
			
			if (FieldValue)	{

				if (! queryStr) {queryStr += '?';} else {queryStr += '&';}

				queryStr += fields[i] + '=' + encodeURIComponent(FieldValue);
			}
		}
		
		if (! queryStr) return;
		
		var link = '../requests/salarycommentread.php' + queryStr + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', link, true);

		xmlHttp.send();
	}

	
	