<?php

	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag check the productin order is to stock or not
	 */
	 
	 if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	 }
	 
	 class IS_PRODUCTION_TO_STOCK	{
	  
		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;
			
			$this->BASE	=	$_SESSION['BASE'];
		}
		
		public function year($year)	{
		
			$this->BASE = "ebagdata$year";
		}
		
		public function check($ID)	{
		
			$ID = $this->SQL->escape($ID);
		
			$this->SQL->query("	SELECT `personID`
						FROM $this->BASE.production_orders_header
						WHERE `personID`='$ID' AND `orderID`=0 AND `deleted` IS NOT NULL LIMIT 1 ");
						
			if ($this->SQL->num_rows()) return TRUE;
			
			return FALSE;
		}
	 }
	 
	 
?>