<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag salary globals read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class SALARYGLOBALSREAD		{

		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;

			$this->BASE	=	$_SESSION['BASE'];
		}

		public function read()	{

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT `value`
						FROM ebag.settings
						WHERE `key`='salary_constants' LIMIT 1	");

			if ($this->SQL->num_rows())	{

				$RESULT		=	$this->SQL->RESULT->fetch_row();

				$DATA		=	unserialize($RESULT[0]);

			}	else	  {

				# set default values

				$DATA['overtime_work'] = $DATA['night_work'] = $DATA['holiday_work'] = $DATA['sick_leave'] = $DATA['annual_leave'] = $DATA['holiday'] = 100;
			}

			if (! isset($DATA['additional_name']))	{

				# set firts additional to emty to list the first row;

				$DATA['additional_name'][0] = $_POST['additional_value'][0] = '';
				$DATA['additional_base'][0] = 's';
			}

			return $DATA;
		}
	}
	

?>
