<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag read all services for selector
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class SERVICESREAD	{

		function __construct()		{

			global $__SQL;

			$this->SQL		=	&$__SQL;
			$this->STOCKBASE	=	'ebagstock';

		}
	
		public function readall()	{

			$SERVICES	=	FALSE;
			$INC		=	0;
	
			$this->SQL->query("	SELECT `personID`, `code`, `servicename` 
						FROM $this->STOCKBASE.services 
						WHERE `deleted` IS NOT NULL ORDER BY `personID` ");

			if ($this->SQL->num_rows())	{

				$SERVICES = array();

				while ($DATA = $this->SQL->RESULT->fetch_assoc())	{

					$SERVICES[$DATA['personID']]	=	$DATA['code'];
				}
			}

			return $SERVICES;
		}
	}
?>
