<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bill print
	 */
	 
	class ePDF extends tFPDF	{
	
		var $RTL		=	FALSE;
		var $BOLD		=	'';
		var $PAGE_TITLE 	=	'';
		var $PAGE_NUMBER	=	0;
		var $PAGE_WIDTH		=	0;
		var $PAGE_HEIGHT	=	0;
		
		function Header() {}

		function Footer()	{

			global $__LANG, $__CONF;

			$this->SetY(-14);
			
			$this->SetFont($__CONF->get('font', 'family'),'',8);
			
			if ($this->RTL)	{
			
				$RIGTH = $this->PAGE_TITLE;
				  
				$LEFT  = $this->PAGE_NUMBER.' '.$__LANG->get('page');
				  
			}	else 	  {
			
				$RIGTH = $__LANG->get('page').' '.$this->PAGE_NUMBER;
				
				$LEFT  = $this->PAGE_TITLE;
			}

			$this->Cell(0, 10, $RIGTH, 0, 0,'L');

			$this->Cell(0, 10, $LEFT, 0, 0,'R');

			$this->PAGE_NUMBER++;
		}
		
		function eCell($w=0, $h=0, $txt='', $border=0, $ln=0, $align='', $fill=FALSE, $link='')	{

			if ($this->RTL)	{
			
				if (! $w) $w = $this->w - $this->rMargin - $this->x;
			
				if ($this->x <= $this->lMargin) $this->x = $this->w - $this->x;
				
				$this->x = $pos = $this->x-$w;
				
				$border = str_replace(array('L','R','Q'), array('Q','L','R'), $border);

				if ($align == 'R') {$align='L';} elseif (($align == 'L') or (! $align)) {$align='R';}
			}

			$this->Cell($w, $h, $txt, $border, $ln, $align, $fill);

			if ($this->RTL) $this->x = $pos;
		}
		
		function eSetX($x)	{

			if ($this->RTL) $x = $this->w - $x;
			
			$this->SetX($x);
		}
	}

?>