<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag order(s) delivery
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	check_year_for_write('deliverys');

	pagepermission('deliverys', 'w');

	if (isset($_POST['submit']))	{

		load_c('SQL');

		$__SQL	= new SQL();

		load_m('orderdelivery');

		$__DELIVERY	=	new ORDERDELIVERY();

		$RESULT		=	$__DELIVERY->delivery($_POST);
	
		$DELIVERYID	=	$__DELIVERY->getid();

		$DELIVERY_REPORT=	$__DELIVERY->getreport();

		unset($__DELIVERY, $__SQL);

		if (($RESULT != 'writed') && ($RESULT != 'updated'))	{

			# analize error type

			if (strpos($RESULT, '->') !== FALSE)	{

				list ($errtype, $point, $pointID) = explode('->', $RESULT);

				$ERROR	= $__LANG->get($errtype, $__LANG->get($point).' '.$pointID);

			}	else	 {

				$ERROR	= $__LANG->get($RESULT);
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $ERROR);
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		# display the form with report

		$view	=	new View('deliverywritedwithreport');

		if ($RESULT=='writed')	{$LABEL = 'newdeliverywritten';} else {$LABEL = 'deliverychanged';}

		$view	->	assign('SELF', backward());
		$view	->	assign('LABEL', $__LANG->get($LABEL, $DELIVERYID));
		$view	->	assign('ID', $DELIVERYID);
		$view	->	assign('REPORT', $__LANG->get('report'));
		$view	->	assign('REPORT_MSG', $DELIVERY_REPORT);
		$view	->	assign('TYPE', 'delivery');
		$view	->	assign('PRINT', $__LANG->get('print'));
		$view	->	assign('NEW', $__LANG->get('new'));
		$view	->	assign('CANCEL', $__LANG->get('cancel'));
		$view	->	assign('CANCELTO', 'loader.php?cat=section&amp;id=deliverys');
		$view	->	assign('NEWTO', backward());
		$view	->	display();

		exit;
	}

	$view	=	new View('orderdelivery');

	$view	->	assign('SELF', backward());
	$view	->	assign('ORDERS_DELIVERY', $__LANG->get('ordersdelivery'));
	$view	->	assign('ORDER', $__LANG->get('ordernumbers'));
	$view	->	assign('ADD_COMMENT', $__LANG->get('addcomment'));
	$view	->	assign('ADD_ANNOTATION', $__LANG->get('addannotation'));
	$view	->	assign('ADD_TO_DELIVERY', $__LANG->get('addtodelivery'));
	$view	->	assign('STEP_OVER_ITEMS', $__LANG->get('stepoverundeliverable'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=deliverys');

	$view	->	display();
?>
