<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag employee details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('employees', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('employeeread');

	$__EMPLOYER	=	new EMPLOYEEREAD();

	$EMPLOYERDATA	=	$__EMPLOYER->read($_GET['id']);

	unset($__EMPLOYER, $__SQL);

	if (! $EMPLOYERDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('employeedetails');

	$view	->	assign('NEW_EMPLOYEE', $__LANG->get('employeedetails', $_GET['id']));
	$view	->	assign('EMPLOYEENAME', $__LANG->get('employeename'));
	$view	->	assign('IDENTITY_NUMBER', $__LANG->get('identitynumber'));
	$view	->	assign('PROFESSION', $__LANG->get('profession'));
	$view	->	assign('EDUCATION_DEGREE', $__LANG->get('educationdegree'));
	$view	->	assign('WORKPLACE', $__LANG->get('workplace'));
	$view	->	assign('DATE_OF_EMPLOYMENT', $__LANG->get('date_of_employment'));
	$view	->	assign('EMPLOYEES_ADDRESS', $__LANG->get('employeesaddress'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('TELEPHONE', $__LANG->get('telephone'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	
	# form data

	$view	->	assign('DATA', $EMPLOYERDATA); unset($EMPLOYERDATA);

	$view	->	display();	


?>
