<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	 
	/**
	 *	Shows base installation window which calls base installation model via ajax
	 */
	 
	 include('installationconf.php');
	 
	 if ((! isset($_GET['lang'])) or (! isset($_GET['direction']))) exit('Please run the install.php script to start new installation');
	 
	 # load language
	
	 load_f('loadlanguage');
	
	 $__LANG = loadlanguage('install', $_GET['lang']);
	 
	 load_c('View');
	 
	 $view = new View('baseinstall');

	 $view -> assign('SELF', url_encode($_SERVER['PHP_SELF']));
	 $view -> assign('INSTALLATION_IN_PROGRESS', $__LANG['installation_in_progress']);
	 $view -> assign('INSTALLATION_COMPLETED', $__LANG['installation_completed']);
	 $view -> assign('NOW_LOGIN', $__LANG['nowlogin']);
	 $view -> assign('OK', $__LANG['OK']);
	 $view -> assign('CANCEL', $__LANG['cancel']);
	 
	 $view -> display();
	 

?>