<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag order 2 stock details select
	 * note: possible to select other years with id/year
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if (isset($_POST['selected']))	{

		$YEAR	=	'';

		if (strpos($_POST['id'], '/') !== FALSE)	{

			$PARTS	=	mb_split('/', $_POST['id']);

			if ((isset($PARTS[1])) && ((integer)$PARTS[1] > 0)) $YEAR = '&year='.$PARTS[1];

			$ID	=	$PARTS[0];

		}	else	   {

			$ID	=	$_POST['id'];
		}

		if ((! is_empty($ID)) && ((integer)$ID > 0))	{

			header("location: loader.php?cat=order2stockdetails&id=".(integer)$ID.$YEAR);

			exit;
		}
	}

	$_SESSION['FROM'] = backward();

	$view	=	new View('listselector');

	$view 	->	assign('SELF', backward());
	$view 	->	assign('SELECTLABEL', $__LANG->get('order2stockselect'));
	$view 	->	assign('SELECTEDID', $__LANG->get('order2stockbynumber'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=orders_to_stock');
	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
