<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.4
	 */

	/**
	 * eBag user personal settings
	 */

	# note: no page permissin check, every user have permission to set
	
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	load_c('SQL');

	$__SQL	= new SQL();

	if (isset($_POST['submit']))	{

		if (((integer)$_POST['listlimit'] > 0) && ($_POST['listlimit'] != $_SESSION['list_limit']))	{

			$_SESSION['list_limit'] = (integer)$_POST['listlimit'];
		}

		if ($_POST['year'] != $_SESSION['year'])	{

			$_SESSION['year'] = $_POST['year'];
			
			load_m('setyearstate');
			
			new SETYEARSTATE();
		}
		
		if ((isset($_POST['delete_from_reminder'])) && ($_POST['delete_from_reminder']))	{
		
			load_m('reminderdates');
			load_m('reminderdelete');
			
			$reminder = new REMINDERDELETE();
			
			$reminder -> delete();
			
			unset($reminder);
		}
		
		unset($__SQL);

		$JSCRIPT	=	'<script type="text/javascript">parent.frames["head"].location.reload();</script>';

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('usersettingschanged'));
		$view	->	assign('JSCRIPT', $JSCRIPT);
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', 'loader.php?cat=home');
		$view	->	display();
		exit;

	}

	$view	=	new View('usersettings');

	$view	->	assign('USER_SETTINGS', $__LANG->get('usersettings'));
	$view	->	assign('CURRENT_YEAR', $__LANG->get('year'));
	$view	->	assign('LISTBOX_LIMIT', $__LANG->get('listboxlimit'));
	$view	->	assign('DELETE_FROM_REMINDER', $__LANG->get('delete_from_reminder'));
	$view 	->	assign('OK', $__LANG->get('ok'));
	$view 	->	assign('RESET', $__LANG->get('reset'));
	$view 	->	assign('CANCEL', $__LANG->get('cancel'));
	$view 	->	assign('BACKTO', 'loader.php?cat=home');

	# form data

	load_m('years');

	$__YEARS	=	new YEARS();

	$YEARS	=	$__YEARS->read();

	unset($__YEARS, $__SQL);

	$view	->	assign('YEARS', $YEARS);
	$view	->	assign('LIMIT', $_SESSION['list_limit']);

	$view	->	display();

?>
