	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Copy selected values to new feedstock form from quicksearch
	 */

	function copytofeedstockform(field, ID)	{
	  
		var i;
		
		var parent_form	= parent.document.forms[0];

		parent_form.supplier.value   = document[field.form.name]['name_' + ID ].value;
		parent_form.supplierID.value = document[field.form.name]['check_' + ID ].value;
		
		var value_type	= document[field.form.name]['type_' + ID ].value;

		var count = parent_form.origin.options.length;
		
		for (i=0; i<count; i++) {

			if (parent_form.origin.options[i].value == value_type) {

				parent_form.origin.selectedIndex = i;
			}
		}

		var boxes = document.getElementsByTagName('input');

		if (boxes == null) return;

		count = boxes.length;

		for (i=0; i<count; i++)	{

			if (boxes[i].type == 'checkbox') boxes[i].checked = false;
		}

		field.checked = true;
	}
