	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Request for suppliername  and date of creation
	 */

	function fillform(BASE)	{

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				if (xmlHttp.responseText)	{
				  
					var xmldoc	=	xmlHttp.responseXML;
					
					var s_supplier	=	xmldoc.getElementsByTagName('supplier');
					var s_date	=	xmldoc.getElementsByTagName('date');

					SUPPLIERFIELD.value 	= 	s_supplier[0].childNodes[0].nodeValue;
					DATEFIELD.value 	= 	s_date[0].childNodes[0].nodeValue;
					BILLFIELD.value		=	'';
					BILLFIELD.readOnly	=	false;
					DELIVERYFIELD.value	=	'';
					DELIVERYFIELD.readOnly	=	false;
					PARTIALLYFIELD.checked	=	false;
					PARTIALLYFIELD.disabled	=	false;
					
					// note: focus to submit is important because of ie
						
					document.forms[0].submit.focus();
	
					BILLFIELD.focus();

				}	else	   {

					formreset();

					alert(document.forms[0].errormsg.value);
				}
	    		}
	  	}
	
		var IDFIELD		=	document.getElementById('order2stockID');
		var SUPPLIERFIELD	=	document.getElementById('suppliername');
		var DATEFIELD		=	document.getElementById('date_of_order');
		var BILLFIELD		=	document.getElementById('bill_number');
		var DELIVERYFIELD	=	document.getElementById('delivery_list_number');
		var PARTIALLYFIELD	=	document.getElementById('partially_delivered');
		
	  	function formreset()	{
		  
			SUPPLIERFIELD.value	=	'';
			DATEFIELD.value		=	'';
			BILLFIELD.value		=	'';
			BILLFIELD.readOnly	=	true;
			DELIVERYFIELD.value	=	'';
			DELIVERYFIELD.readOnly	=	true;
			PARTIALLYFIELD.checked	=	false;
			PARTIALLYFIELD.disabled	=	true;
			IDFIELD.value		=	'';
			IDFIELD.focus();
		}

		if (! IDFIELD.value) {formreset(); return;}

		var LINK = '../requests/order2stockread.php?id=' + encodeURIComponent(IDFIELD.value) + '&base=' + BASE + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', LINK, true);

		xmlHttp.send();
	}


