<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag read command line default data
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class COMMANDLINEREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;

			$this->BASE	=	$_SESSION['BASE'];

		}

		public function read()	{

			$DATA = array();

			$this->SQL->query("	SHOW TABLES 
						FROM `$this->BASE`	");

			if (! $this->SQL->num_rows()) return FALSE;

			while ($RESULT = $this->SQL->RESULT->fetch_row()) $DATA['data']['tables'][] = $RESULT[0];

			$this->SQL->query("	SHOW TABLES 
						FROM `ebagstock`	");

			if (! $this->SQL->num_rows()) return FALSE;

			while ($RESULT = $this->SQL->RESULT->fetch_row()) $DATA['stock']['tables'][] = $RESULT[0];

			$this->SQL->query("	SELECT `year`
						FROM ebag.years		");

			if (! $this->SQL->num_rows()) return FALSE;

			while ($RESULT = $this->SQL->RESULT->fetch_row()) $DATA['bases'][] = "ebagdata".$RESULT[0];
			
			$DATA['bases'][] = 'ebagstock';

			return $DATA;
		}
	}
?>
