<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag read customers to create bill
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	class CUSTOMERS2BILLREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL		=	&$__SQL;

			$this->BASE		=	$_SESSION['BASE'];
		}

		public function read()	{

			$DATA	=	FALSE;

			# note: not check the contactype, because it need to define default payment type
			#	but it can be changed (the buyer in default pays with cash, but can to pay across account)

			$this->SQL->query("	(	
							SELECT `contactID`
							FROM $this->BASE.deliverys_header
							WHERE `billID` IS NULL AND `deleted` IS NOT NULL 
							GROUP BY `contactID`
						)
						UNION 
						(
							SELECT `contactID`
							FROM $this->BASE.services_header
							WHERE `billID` IS NULL AND `date_of_finishing` IS NOT NULL AND `deleted` IS NOT NULL
							GROUP BY `contactID`
						)	");

			if ($this->SQL->num_rows())	{

				$this->SQL->IT1_RESULT	= $this->SQL->RESULT;

				while ($RESULT = $this->SQL->IT1_RESULT->fetch_row())	{

					$contactID	=	$RESULT[0];

					$this->SQL->query("	SELECT `contactname` 
								FROM $this->BASE.addressbook
								WHERE `personID` = '$contactID' AND `deleted` IS NOT NULL LIMIT 1	");

					if ($this->SQL->num_rows())	{

						$RESULT1		=	$this->SQL->RESULT->fetch_row();

						$DATA[$contactID] 	=	$RESULT1[0];
					}
				}

				if ((is_array($DATA)) && (count($DATA))) asort($DATA);
			}

			return $DATA;
		}
	}

?>
