<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag read finishers which can do a job
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class FINISHERREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL		=	&$__SQL;

			$this->BASE		=	$_SESSION['BASE'];
		}

		public function read()	{

			$FINISHERS	=	FALSE;

			# note: type 4 in contacts is cooperator

			$this->SQL->query("(	SELECT `personID`, `employeename` AS `finishername`, ('employee') AS `type` 
						FROM $this->BASE.employees WHERE `deleted` IS NOT NULL GROUP BY `finishername`)
			  			UNION ALL
		  			   (	SELECT `personID`, `contactname` AS `finishername`, ('cooperator') AS `type` 
						FROM $this->BASE.addressbook WHERE `contacttype`='4' AND `deleted` IS NOT NULL GROUP BY `finishername`)");


			if ($this->SQL->num_rows())	{

				while ($RESULT = $this->SQL->RESULT->fetch_assoc())	{

					$key	=	$RESULT['type'].'_'.$RESULT['personID'];

					$FINISHERS[$key]	=	$RESULT['finishername'];
				}
			}

			return $FINISHERS;
		}
	}

?>
