<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag section links reader (to section mains)
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	load_f('mb_ereg_match_str');

	class SECTION	{

		var $LABEL	=	'';
		var $LINKS	=	array();

		function __construct()	{

			global $__CONF;

			$this->CONF = &$__CONF;
		}

		public function read($SECTION)	{
		
			$lang 	=	strtolower($this->CONF->get('language', 'lang'));

			$file	=	BASEDIR."lang/$lang/navigation.$lang";
			
			unset($lang);

			$nav	=	@file_get_contents($file);

			if ($nav===FALSE) trigger_error('language file '.basename($file).' not found', E_USER_ERROR);

			# reg to find the section
			
			mb_ereg_match_str("\[section\&amp\;id=$SECTION.*?\[", $nav, $founds, 'im');

			$lines = mb_split("\n", $founds); unset($founds, $nav);

			# label

			$parts = mb_split('=>', $lines[0]);

			$this->LABEL = mb_eregi_replace('^\s*|\]$|\s*$', '', $parts[1]);

			unset($lines[0]);

			foreach ($lines as $line)	{

				if (! strlen(mb_eregi_replace('\n|\s|\[', '', $line))) continue;

				list($key, $val) = mb_split('=>', $line);

				$this->LINKS[mb_eregi_replace('^\s*|\s*$', '', $key)] = mb_eregi_replace('^\s*|\s*$', '', $val);
			}
		}
	}

?>
