<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag delete user
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class USERDELETE	{

		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;

			$this->BASE	=	'ebag';

			$this->TEMPBASE	=	'ebagtemp';
		}

		public function delete($ID)	{

			# check how many user is in the base

			$this->SQL->query("	SELECT COUNT(*) 
						FROM $this->BASE.users 
						WHERE `deleted` IS NOT NULL	");

			$COUNT	=	$this->SQL->RESULT->fetch_row();

			if ($COUNT[0] == 1) return 'lastuser';

			# delete

			$ID	=	$this->SQL->escape($ID);

			$this->SQL->query("	UPDATE $this->BASE.users 
						SET `deleted`=NULL 
						WHERE `personID`='$ID' LIMIT 1	");

			# drop eventually unclosed inventory tables to this user

			$TYPES = array('feedstock', 'operating_suplies', 'stock');

			foreach ($TYPES as $INVTYPE)	{

				$inventory_table = 'inventory_'.$INVTYPE.'_'.$ID;

				$this->SQL->query("DROP TABLE IF EXISTS $this->TEMPBASE.$inventory_table");
			}

			return TRUE;
		}
	}

?>
