<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag users read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class USERREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;
			$this->BASE	=	'ebag';		
		}

		# read user by ID

		public function read($ID)	{

			$DATA	=	FALSE;

			$ID	=	$this->SQL->escape($ID);

			$this->SQL->query("	SELECT `surname`, `lastname`, `username`, `mail` 
						FROM $this->BASE.users 
						WHERE `personID`='$ID' AND `deleted` IS NOT NULL LIMIT 1	");

			if ($this->SQL->num_rows()) $DATA = $this->SQL->RESULT->fetch_assoc();

			return $DATA;
		}

		# read all users id=>surname lastname to display in select box
			
		public function readall()	{

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT `personID`, `surname`, `lastname` 
						FROM $this->BASE.users 
						WHERE `deleted` IS NOT NULL ORDER BY `surname` ");

			if ($this->SQL->num_rows())	{

				$DATA	=	array();

				while ($RESULT	=	$this->SQL->RESULT->fetch_assoc())	{

					$DATA[$RESULT['personID']] = $RESULT['surname'].' '.$RESULT['lastname'];
				}
			}

			return $DATA;
		}
	}

?>
