<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

							<table class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $DELIVERYCHANGE; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td style="min-width: 100px;">
													<?php echo $CONTACTNAME; ?>
												</td>
												<td class="formright">
													<input name="contactname" class="formbox" readonly value="<?php echo $DATA['contactname']; ?>">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $COUNTRY; ?>
												</td>
												<td class="formright">
													<input name="country" class="formbox" readonly value="<?php echo $DATA['country']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CITY; ?>
												</td>
												<td class="formright">
													<input name="city" class="formbox" readonly value="<?php echo $DATA['city']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $ZIP; ?>
												</td>
												<td class="formright">
													<input name="zip" class="formbox" readonly value="<?php echo $DATA['zip']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $STREET; ?>
												</td>
												<td class="formright">
													<input name="street" class="formbox" readonly value="<?php echo $DATA['street']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $DATE_OF_CREATION; ?>
												</td>
												<td class="formright">
													<input name="date_of_creation" class="formbox" readonly value="<?php echo $DATA['date_of_creation']; ?>">
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td width="65">
													<?php echo $ANNOTATION; ?>
												</td>
												<td class="formright">
													<textarea name="annotation" style="width: 200px; height: 71px" rows="2" cols="30"><?php echo $DATA['annotation']; ?></textarea>
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $COMMENT; ?>
												</td>
												<td class="formright">
													<textarea name="comment"  style="width: 200px; height: 71px" rows="2" cols="30"><?php echo $DATA['comment']; ?></textarea>
												</td>
											</tr>
										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="300" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span class="deliverycheck-span"><?php echo $COLUMNDELETE; ?></span>
												<span class="spancolumns-orderID"><?php echo $COLUMNNUMBER; ?></span>
												<span class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
												<span class="spancolumns-name-long"><?php echo $COLUMNNAME; ?></span>
												<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
											</div>

											<?php 
												$COUNT	=	0;

												if (isset($DATA['personID'])) $COUNT = count($DATA['personID']);										

													for ($i=0; $i<$COUNT; $i++)	{

														$personID = $orderID = $code = $name = $quantity = $unit = '';
														$ID = $i+1;

														if (isset($DATA['personID'][$i])) $personID=$DATA['personID'][$i];
														if (isset($DATA['orderID'][$i])) $orderID=$DATA['orderID'][$i];
														if (isset($DATA['code'][$i])) 	$code=$DATA['code'][$i];
														if (isset($DATA['name'][$i])) 	$name=$DATA['name'][$i];
														if (isset($DATA['quantity'][$i])) $quantity=$DATA['quantity'][$i];
														if (isset($DATA['unit'][$i])) $unit=$DATA['unit'][$i];

														echo	<<<"EOT"
														<div id="rowid_$ID" class="onerow">
															<span class="deliverycheck-span">
																<input id="personID_$ID" name="personID[]" type="checkbox" class="checkbox" value="$personID">
															</span>
															<input name="orderID[]" readonly class="orderID" value="$orderID">
															<input name="code[]" readonly class="code-long" value="$code">
															<input name="name[]" readonly class="name-long" value="$name">
															<input name="quantity[]" readonly class="quantity-long" value="$quantity">
															<input name="unit[]" readonly class="unit-long" value="$unit">
														</div>
EOT;
													}

											?>

									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">

										<!-- hidden field needs to submit a form properly & send back deliveryID -->
										<input name="deliveryID" type="hidden" value="<?php echo $DELIVERYID; ?>">
										<input name="submitted" type="hidden" value="1">

										<!-- buttons -->

										<input class="button-small" value="<?php echo $WRITE; ?>" type="button" name="formsubmit" onclick="Javascript: document.forms[0].submit();">
										<input class="button-small" value="<?php echo $RESET; ?>" type="button" name="reset" onclick="Javascript: location.href='<?php echo $SELF.'&amp;id='.$DELIVERYID; ?>'">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>

						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.main.personID_1.focus();</script>

	</body>

</html>


