<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/pdfprint.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_name.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/salary_comments.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		
		<!--[if lte IE 8]>
			 <script type="text/javascript" src="../js/select2auto.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<![endif]-->		
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" name="salary_comments" method="post" target="_self">

							<table class="form" style="min-width: 250px">

								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $SALARY_COMMENTS; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="6"></td></tr>

								<tr>
									<td>
										<?php echo $NUMBER; ?>
									</td>
									<td class="formright">
										<input class="formbox" id="person_id" name="person_id" onchange="data_clear();" value="" onkeypress="return nextfield(this, event, 'employee_id')">
									</td>
								</tr>
								
								<tr>
									<td>

										<?php echo $EMPLOYEE; ?>
									</td>
									<td class="formright">
										<select id="employee_id" name="employee_id" class="fullsize" onchange="data_clear();" onkeypress="return nextfield(this, event, 'month')">

											<?php
												$selected = 'selected';

												foreach ($EMPLOYEES as $id=>$name)	{

													echo "<option $selected value=\"$id\">$name</option>\n";

													if ($selected) $selected='';
												}
											?>

										</select>
									</td>
								</tr>


								<tr>
									<td>
										<?php echo $PRINT_BY_MONTH; ?>
									</td>
									
									<td class="formright">
										<select id="month" name="month" class="fullsize" onchange="data_clear();" onkeypress="return nextfield(this, event, 'semimonth')">

											<option selected value="">&lt;-------&gt;</option>

											<?php
												foreach ($MONTHNAMES  as $ID=>$NAME) echo "<option value=\"$ID\">$NAME</option>\n";
											?>
										</select>
									</td>
								</tr>
								
								<tr>
									<td>
										<?php echo $PRINT_BY_SEMI_MONTH; ?>
									</td>
									
									<td class="formright">
										<select id="semimonth" name="semimonth" class="fullsize" onchange="data_clear();" onkeypress="return nextfield(this, event, 'read')">

											<option selected value="">&lt;-------&gt;</option>

											<?php
												foreach ($MONTH_PART_NAMES as $ID=>$NAME) echo "<option value=\"$ID\">$NAME</option>\n";
											?>
										</select>
									</td>
								</tr>
								
								<tr>
									<td id="message" style="vertical-align: middle">
									</td>
									<td class="formright">
										<input class="button-small" value="<?php echo $READ; ?>" type="button" name="read" onclick="data_read();"><br><br>
									</td>
								</tr>
								
								<tr>
									<td>
										<?php echo $COMMENT; ?>
									</td>
									<td class="formright">
										<textarea id="comment" name="comment" style="width: 153px; height: 50px" rows="3" cols="30" onkeypress="return nextfield(this, event, 'annotation')"></textarea>
									</td>
								</tr>
								
								<tr>
									<td>
										<?php echo $ANNOTATION; ?>
									</td>
									<td class="formright">
										<textarea id="annotation" name="annotation" style="width: 153px; height: 50px" rows="3" cols="30" onkeypress="return nextfield(this, event, 'submit')"></textarea>
									</td>
								</tr>

								<tr>
									<td class="formright" colspan="2">
									
										<input id="not_found_msg" name="not_found_msg" type="hidden" value="<?php echo $NOT_FOUND_MSG; ?>">
										
										<br>
										<input class="button-small" value="<?php echo $OK; ?>" type="submit" name="submit">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>

							</table>

						</form>

					</div></div>
				</td>
			</tr>
		</table>

		<script type="text/javascript">document.salary_comments.person_id.focus();</script>
		
	</body>
</html>


